## org.apache.aries.subsystem.core.internal
Class BundleResourceUninstaller

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ResourceUninstaller
          org.apache.aries.subsystem.core.internal.BundleResourceUninstaller

    public class BundleResourceUninstaller

extends ResourceUninstaller

Field Summary

Fields inherited from class org.apache.aries.subsystem.core.internal.ResourceUninstaller
`provisionTo, resource, subsystem`

Constructor Summary
`BundleResourceUninstaller(org.osgi.resource.Resource resource, BasicSubsystem subsystem)`

Method Summary
`void` `uninstall()`

Methods inherited from class org.apache.aries.subsystem.core.internal.ResourceUninstaller
`isExplicit, isResourceUninstallable, isTransitive, newInstance, removeConstituent, removeConstituent, removeReference, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleResourceUninstaller

    public BundleResourceUninstaller(org.osgi.resource.Resource resource,
                                     BasicSubsystem subsystem)

Method Detail

### uninstall

    public void uninstall()

  Specified by:
    `uninstall` in class `ResourceUninstaller`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.